[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

X Strike Force X.Org X11 SVN commit: r111 - in trunk/debian: . scripts



Author: dnusinow
Date: 2005-05-16 22:28:37 -0500 (Mon, 16 May 2005)
New Revision: 111

Modified:
   trunk/debian/changelog
   trunk/debian/scripts/validate-posix-sh
Log:
Merge changes from xfree tree to scripts/verify-posix-sh

Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2005-05-17 03:25:40 UTC (rev 110)
+++ trunk/debian/changelog	2005-05-17 03:28:37 UTC (rev 111)
@@ -18,7 +18,9 @@
           Replace logging with echo's like in xfree script.
       - Re-add Branden's copyright to xfs.init
       - Merge changes from xfree tree in to xserver-common.config.in
-      - Merge changes from xfree tree to scripts/manifest-install-reconcile
+      - Merge changes from xfree tree to scripts directory:
+        - manifest-install-reconcile 
+        - validate-posix-sh
 
     - Re-add jisx0208.1983-0.enc.gz to MANIFEST.all's list of font encodings
       until I know more about why it was removed.

Modified: trunk/debian/scripts/validate-posix-sh
===================================================================
--- trunk/debian/scripts/validate-posix-sh	2005-05-17 03:25:40 UTC (rev 110)
+++ trunk/debian/scripts/validate-posix-sh	2005-05-17 03:28:37 UTC (rev 111)
@@ -11,6 +11,7 @@
 DASH="dash -n"
 KSH="ksh -n"
 POSH="posh -n"
+ERROR=""
 
 usage () {
     cat <<EOF
@@ -39,18 +40,28 @@
         usage >&2
         exit 2
     fi
-    for SH in "$ASH" "$BASH" "$DASH" "$KSH" "$POSH"; do
+    # $ASH is omitted because in Debian -- regrettably -- it is just a symbolic
+    # link to dash.  The real ash is not packaged.  (For that matter, "dash"
+    # isn't really the "Debian Almquist" shell, but the "Xu shell".)
+    for SH in "$BASH" "$DASH" "$KSH" "$POSH"; do
         CMD=${SH%% *}
         if which "$CMD" >/dev/null 2>&1; then
-            if ! $SH $1; then
+            if ! $SH "$1"; then
                 echo "$PROGNAME: \"$1\" failed syntax check with $CMD"
-                exit 1
+                error="yes"
             fi
         else
-            warn "cannot verify correctness of \"$1\" with $CMD; shell not available"
+            warn "cannot verify correctness of \"$1\" with $CMD; shell not" \
+                 "available"
         fi
     done
     shift
 done
 
+if [ -n "$ERROR" ]; then
+  exit 1
+fi
+
+exit 0
+
 # vim:set ai et sts=4 sw=4 tw=80:



Reply to: